Package org.eclipse.emf.cdo.server

# Interface IView

All Superinterfaces:
  `CDOBranchPoint`, `CDOBranchProvider`, `CDOCommonView`, `CDORevisionProvider`, `CDOTimeProvider`, `org.eclipse.net4j.util.collection.Closeable`, `IAdaptable`, `org.eclipse.net4j.util.options.IOptionsContainer`, `org.eclipse.net4j.util.properties.IPropertiesContainer`

All Known Subinterfaces:
  `InternalTransaction`, `InternalView`, `ITransaction`

public interface IView extends CDOCommonView
The server-side representation of a client `view`.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

`CDOCommonView.Options`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`INVALID_DATE, UNSPECIFIED_DATE`

## Method Summary

Modifier and Type
Method
Description
`IRepository`
`getRepository()`
`ISession`
`getSession()`

### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`getBranch, getTimeStamp`

### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

`getDurableLockingID, getLockOwner, getSessionID, getViewID, isDurableView, isHistorical, isReadOnly, options`

### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

`getRevision`

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

`properties`

## Method Details

### getRepository

IRepository getRepository()

Since:
  2.0

### getSession

ISession getSession()

Specified by:
  `getSession` in interface `CDOCommonView`